org.keycloak.protocol

## Class ProtocolMapperUtils

- java.lang.Object
- - org.keycloak.protocol.ProtocolMapperUtils

-     public class ProtocolMapperUtils
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `USER_ATTRIBUTE`
    `static String` | `USER_MODEL_ATTRIBUTE_HELP_TEXT`
    `static String` | `USER_MODEL_ATTRIBUTE_LABEL`
    `static String` | `USER_MODEL_PROPERTY_HELP_TEXT`
    `static String` | `USER_MODEL_PROPERTY_LABEL`
    `static String` | `USER_SESSION_MODEL_NOTE_HELP_TEXT`
    `static String` | `USER_SESSION_MODEL_NOTE_LABEL`
    `static String` | `USER_SESSION_NOTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolMapperUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getUserModelValue(UserModel user, String propertyName)`
    `static String[]` | `parseRole(String role)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USER_ATTRIBUTE

          public static final String USER_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### USER_SESSION_NOTE

          public static final String USER_SESSION_NOTE

      See Also:
        Constant Field Values

    - #### USER_MODEL_PROPERTY_LABEL

          public static final String USER_MODEL_PROPERTY_LABEL

      See Also:
        Constant Field Values

    - #### USER_MODEL_PROPERTY_HELP_TEXT

          public static final String USER_MODEL_PROPERTY_HELP_TEXT

      See Also:
        Constant Field Values

    - #### USER_MODEL_ATTRIBUTE_LABEL

          public static final String USER_MODEL_ATTRIBUTE_LABEL

      See Also:
        Constant Field Values

    - #### USER_MODEL_ATTRIBUTE_HELP_TEXT

          public static final String USER_MODEL_ATTRIBUTE_HELP_TEXT

      See Also:
        Constant Field Values

    - #### USER_SESSION_MODEL_NOTE_LABEL

          public static final String USER_SESSION_MODEL_NOTE_LABEL

      See Also:
        Constant Field Values

    - #### USER_SESSION_MODEL_NOTE_HELP_TEXT

          public static final String USER_SESSION_MODEL_NOTE_HELP_TEXT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProtocolMapperUtils

          public ProtocolMapperUtils()

  - ### Method Detail

    - #### getUserModelValue

          public static String getUserModelValue(UserModel user,
                                 String propertyName)

    - #### parseRole

          public static String[] parseRole(String role)

Copyright © 2015. All rights reserved.